/* mapping table of MathML elements */
#include "MathML.h"
static ElemMapping    MathMLElemMappingTable[] =
{
   /* This table MUST be in alphabetical order */
   {TEXT("XMLPI"), SPACE, MathML_EL_XMLPI, L_Other, FALSE},
   {TEXT("XMLPI_line"), SPACE, MathML_EL_XMLPI_line, L_Other, FALSE},
   {TEXT("XMLcomment"), SPACE, MathML_EL_XMLcomment, L_Other, FALSE},
   {TEXT("XMLcomment_line"), SPACE, MathML_EL_XMLcomment_line, L_Other, FALSE},
   {TEXT("c"), SPACE, MathML_EL_TEXT_UNIT, L_Other, TRUE},
   {TEXT("maligngroup"), 'E', MathML_EL_MALIGNGROUP, L_Other, FALSE},
   {TEXT("malignmark"), 'E', MathML_EL_MALIGNMARK, L_Other, FALSE},
   {TEXT("math"), SPACE, MathML_EL_MathML, L_Other, FALSE},
   {TEXT("menclose"), SPACE, MathML_EL_MENCLOSE, L_Other, FALSE},
   {TEXT("merror"), SPACE, MathML_EL_MERROR, L_Other, FALSE},
   {TEXT("mf"), SPACE, MathML_EL_MF, L_Other, FALSE},  /* for compatibility with an old version of MathML: WD-math-970704 */
   {TEXT("mfenced"), SPACE, MathML_EL_MFENCED, L_Other, FALSE},
   {TEXT("mfrac"), SPACE, MathML_EL_MFRAC, L_Other, FALSE},
   {TEXT("mglyph"), 'E', MathML_EL_MGLYPH, L_Other, FALSE},
   {TEXT("mi"), SPACE, MathML_EL_MI, L_Other, FALSE},
   {TEXT("mlabeledtr"), SPACE, MathML_EL_MLABELEDTR, L_Other, FALSE},
   {TEXT("mmultiscripts"), SPACE, MathML_EL_MMULTISCRIPTS, L_Other, FALSE},
   {TEXT("mn"), SPACE, MathML_EL_MN, L_Other, FALSE},
   {TEXT("mo"), SPACE, MathML_EL_MO, L_Other, FALSE},
   {TEXT("mover"), SPACE, MathML_EL_MOVER, L_Other, FALSE},
   {TEXT("mpadded"), SPACE, MathML_EL_MPADDED, L_Other, FALSE},
   {TEXT("mphantom"), SPACE, MathML_EL_MPHANTOM, L_Other, FALSE},
   {TEXT("mprescripts"), SPACE, MathML_EL_PrescriptPairs, L_Other, FALSE},
   {TEXT("mroot"), SPACE, MathML_EL_MROOT, L_Other, FALSE},
   {TEXT("mrow"), SPACE, MathML_EL_MROW, L_Other, FALSE},
   {TEXT("ms"), SPACE, MathML_EL_MS, L_Other, FALSE},
   {TEXT("mspace"), 'E', MathML_EL_MSPACE, L_Other, FALSE},
   {TEXT("msqrt"), SPACE, MathML_EL_MSQRT, L_Other, FALSE},
   {TEXT("mstyle"), SPACE, MathML_EL_MSTYLE, L_Other, FALSE},
   {TEXT("msub"), SPACE, MathML_EL_MSUB, L_Other, FALSE},
   {TEXT("msubsup"), SPACE, MathML_EL_MSUBSUP, L_Other, FALSE},
   {TEXT("msup"), SPACE, MathML_EL_MSUP, L_Other, FALSE},
   {TEXT("mtable"), SPACE, MathML_EL_MTABLE, L_Other, FALSE},
   {TEXT("mtd"), SPACE, MathML_EL_MTD, L_Other, FALSE},
   {TEXT("mtext"), SPACE, MathML_EL_MTEXT, L_Other, FALSE},
   {TEXT("mtr"), SPACE, MathML_EL_MTR, L_Other, FALSE},
   {TEXT("munder"), SPACE, MathML_EL_MUNDER, L_Other, FALSE},
   {TEXT("munderover"), SPACE, MathML_EL_MUNDEROVER, L_Other, FALSE},
   {TEXT("none"), SPACE, MathML_EL_Construct, L_Other, FALSE},
   {TEXT(""), SPACE, 0, L_Other, FALSE}	 /* Last entry. Mandatory */
};

static AttributeMapping MathMLAttributeMappingTable[] =
{
   /* The first entry MUST be unknown_attr */
   /* The rest of this table MUST be in alphabetical order */
   {TEXT("unknown_attr"), TEXT(""), 'A', MathML_ATTR_Invalid_attribute, L_Other},

   {TEXT("accent"), TEXT(""), 'A', MathML_ATTR_accent, L_Other},
   {TEXT("accentunder"), TEXT(""), 'A', MathML_ATTR_accentunder, L_Other},
   {TEXT("actiontype"), TEXT(""), 'A', MathML_ATTR_actiontype, L_Other},
   {TEXT("align"), TEXT(""), 'A', MathML_ATTR_align, L_Other},
   {TEXT("alignmentscope"), TEXT(""), 'A', MathML_ATTR_alignmentscope, L_Other},
   {TEXT("alt"), TEXT(""), 'A', MathML_ATTR_alt, L_Other},
   {TEXT("altimg"), TEXT(""), 'A', MathML_ATTR_altimg, L_Other},
   {TEXT("alttext"), TEXT(""), 'A', MathML_ATTR_alttext, L_Other},
   {TEXT("background"), TEXT(""), 'A', MathML_ATTR_background_, L_Other},
   {TEXT("bevelled"), TEXT(""), 'A', MathML_ATTR_bevelled, L_Other},
   {TEXT("class"), TEXT(""), 'A', MathML_ATTR_class, L_Other},
   {TEXT("close"), TEXT(""), 'A', MathML_ATTR_close, L_Other},
   {TEXT("columnalign"), TEXT("mtd"), 'A', MathML_ATTR_columnalign_mtd, L_Other},
   {TEXT("columnalign"), TEXT(""), 'A', MathML_ATTR_columnalign, L_Other},
   {TEXT("columnlines"), TEXT(""), 'A', MathML_ATTR_columnlines, L_Other},
   {TEXT("columnspacing"), TEXT(""), 'A', MathML_ATTR_columnspacing, L_Other},
   {TEXT("columnspan"), TEXT(""), 'A', MathML_ATTR_columnspan, L_Other},
   {TEXT("columnwidth"), TEXT(""), 'A', MathML_ATTR_columnwidth, L_Other},
   {TEXT("color"), TEXT(""), 'A', MathML_ATTR_color, L_Other},
   {TEXT("denomalign"), TEXT(""), 'A', MathML_ATTR_denomalign, L_Other},
   {TEXT("depth"), TEXT(""), 'A', MathML_ATTR_depth_, L_Other},
   {TEXT("display"), TEXT(""), 'A', MathML_ATTR_display, L_Other},
   {TEXT("displaystyle"), TEXT(""), 'A', MathML_ATTR_displaystyle, L_Other},
   {TEXT("edge"), TEXT(""), 'A', MathML_ATTR_edge, L_Other},
   {TEXT("equalcolumns"), TEXT(""), 'A', MathML_ATTR_equalcolumns, L_Other},
   {TEXT("equalrows"), TEXT(""), 'A', MathML_ATTR_equalrows, L_Other},
   {TEXT("fence"), TEXT(""), 'A', MathML_ATTR_fence, L_Other},
   {TEXT("fontfamily"), TEXT(""), 'A', MathML_ATTR_fontfamily, L_Other},
   {TEXT("fontstyle"), TEXT(""), 'A', MathML_ATTR_fontstyle, L_Other},
   {TEXT("fontsize"), TEXT(""), 'A', MathML_ATTR_fontsize, L_Other},
   {TEXT("fontweight"), TEXT(""), 'A', MathML_ATTR_fontweight, L_Other},
   {TEXT("form"), TEXT(""), 'A', MathML_ATTR_form, L_Other},
   {TEXT("frame"), TEXT(""), 'A', MathML_ATTR_frame, L_Other},
   {TEXT("framespacing"), TEXT(""), 'A', MathML_ATTR_framespacing, L_Other},
   {TEXT("groupalign"), TEXT("maligngroup"), 'A', MathML_ATTR_groupalign_malgr, L_Other},
   {TEXT("groupalign"), TEXT(""), 'A', MathML_ATTR_groupalign, L_Other},
   {TEXT("height"), TEXT(""), 'A', MathML_ATTR_height_, L_Other},
   {TEXT("id"), TEXT(""), 'A', MathML_ATTR_id, L_Other},
   {TEXT("index"), TEXT(""), 'A', MathML_ATTR_index, L_Other},
   {TEXT("largeop"), TEXT(""), 'A', MathML_ATTR_largeop, L_Other},
   {TEXT("linebreak"), TEXT(""), 'A', MathML_ATTR_linebreak_, L_Other},
   {TEXT("linethickness"), TEXT(""), 'A', MathML_ATTR_linethickness, L_Other},
   {TEXT("lquote"), TEXT(""), 'A', MathML_ATTR_lquote, L_Other},
   {TEXT("lspace"), TEXT(""), 'A', MathML_ATTR_lspace, L_Other},
   {TEXT("mathbackground"), TEXT(""), 'A', MathML_ATTR_mathbackground, L_Other},
   {TEXT("mathcolor"), TEXT(""), 'A', MathML_ATTR_mathcolor, L_Other},
   {TEXT("mathsize"), TEXT(""), 'A', MathML_ATTR_mathsize, L_Other},
   {TEXT("mathvariant"), TEXT(""), 'A', MathML_ATTR_mathvariant, L_Other},
   {TEXT("maxsize"), TEXT(""), 'A', MathML_ATTR_maxsize, L_Other},
   {TEXT("minlabelspacing"), TEXT(""), 'A', MathML_ATTR_minlabelspacing, L_Other},
   {TEXT("minsize"), TEXT(""), 'A', MathML_ATTR_minsize, L_Other},
   {TEXT("mode"), TEXT(""), 'A', MathML_ATTR_display, L_Other},
   {TEXT("movablelimits"), TEXT(""), 'A', MathML_ATTR_movablelimits, L_Other},
   {TEXT("notation"), TEXT(""), 'A', MathML_ATTR_notation, L_Other},
   {TEXT("numalign"), TEXT(""), 'A', MathML_ATTR_numalign, L_Other},
   {TEXT("open"), TEXT(""), 'A', MathML_ATTR_open, L_Other},
   {TEXT("other"), TEXT(""), 'A', MathML_ATTR_other, L_Other},
   {TEXT("overflow"), TEXT(""), 'A', MathML_ATTR_overflow, L_Other},
   {TEXT("rowalign"), TEXT("mtr"), 'A', MathML_ATTR_rowalign_mtr, L_Other},
   {TEXT("rowalign"), TEXT("mlabeledtr"), 'A', MathML_ATTR_rowalign_mtr, L_Other},
   {TEXT("rowalign"), TEXT("mtd"), 'A', MathML_ATTR_rowalign_mtr, L_Other},
   {TEXT("rowalign"), TEXT(""), 'A', MathML_ATTR_rowalign, L_Other},
   {TEXT("rowlines"), TEXT(""), 'A', MathML_ATTR_rowlines, L_Other},
   {TEXT("rowspacing"), TEXT(""), 'A', MathML_ATTR_rowspacing, L_Other},
   {TEXT("rowspan"), TEXT(""), 'A', MathML_ATTR_rowspan_, L_Other},
   {TEXT("rquote"), TEXT(""), 'A', MathML_ATTR_rquote, L_Other},
   {TEXT("rspace"), TEXT(""), 'A', MathML_ATTR_rspace, L_Other},
   {TEXT("scriptlevel"), TEXT(""), 'A', MathML_ATTR_scriptlevel, L_Other},
   {TEXT("scriptminsize"), TEXT(""), 'A', MathML_ATTR_scriptminsize, L_Other},
   {TEXT("scriptsizemultiplier"), TEXT(""), 'A', MathML_ATTR_scriptsizemultiplier, L_Other},
   {TEXT("selection"), TEXT(""), 'A', MathML_ATTR_selection, L_Other},
   {TEXT("separator"), TEXT(""), 'A', MathML_ATTR_separator, L_Other},
   {TEXT("separators"), TEXT(""), 'A', MathML_ATTR_separators, L_Other},
   {TEXT("side"), TEXT(""), 'A', MathML_ATTR_side, L_Other},
   {TEXT("stretchy"), TEXT(""), 'A', MathML_ATTR_stretchy, L_Other},
   {TEXT("style"), TEXT(""), 'A', MathML_ATTR_style_, L_Other},
   {TEXT("subscriptshift"), TEXT(""), 'A', MathML_ATTR_subscriptshift, L_Other},
   {TEXT("superscriptshift"), TEXT(""), 'A', MathML_ATTR_superscriptshift, L_Other},
   {TEXT("symmetric"), TEXT(""), 'A', MathML_ATTR_symmetric, L_Other},
   {TEXT("width"), TEXT(""), 'A', MathML_ATTR_width_, L_Other},
   {TEXT("xml:space"), TEXT(""), 'A', MathML_ATTR_xml_space, L_Other},
   {TEXT("xref"), TEXT(""), 'A', MathML_ATTR_xref, L_Other},
   {TEXT("zzghost"), TEXT(""), 'A', MathML_ATTR_Ghost_restruct, L_Other},

   {TEXT(""), TEXT(""), EOS, 0, L_Other}		/* Last entry. Mandatory */
};


XmlEntity  MathEntityTable[] =
{
   /* This table MUST be in alphabetical order */
   /* This table contains characters from the Symbol font plus some
      specific MathML entities */
   {TEXT("Aacute"), 192},
   {TEXT("Acirc"), 194},
   /* 913 */{TEXT("Agr"), 913},
   /* 10835 */{TEXT("And"), 10835},
   {TEXT("ApplyFunction"), 129},   /* rendered as a thin space */
   {TEXT("Backslash"), 92},
   /* 914 */{TEXT("Bgr"), 914},
   /* 8914 */{TEXT("Cap"), 8914},
   /* 183 */{TEXT("CenterDot"), 183},
   /* 8853 */{TEXT("CirclePlus"), 8853},
   /* 8855 */{TEXT("CircleTimes"), 8855},
   /* 8759 */{TEXT("Colon"), 8759},
   /* 8773 */{TEXT("Congruent"), 8773},
   /* 8915 */{TEXT("Cup"), 8915},
   /* 8711 */{TEXT("Del"), 8711},
   /* 916 */{TEXT("Delta"), 916},
   /* 8900 */{TEXT("Diamond"), 8900},
   /* 8518 */{TEXT("DifferentialD"), 8518},
   /* 8659 */{TEXT("DoubleDownArrow"), 8659},
   /* 8656 */{TEXT("DoubleLeftArrow"),  8656},
   /* 8660 */{TEXT("DoubleLeftRightArrow"), 8660},
   /* 8658 */{TEXT("DoubleRightArrow"), 8658},
   /* 8657 */{TEXT("DoubleUpArrow"), 8657},
   /* 8595 */{TEXT("DownArrow"), 8595},
   /* 8868 */{TEXT("DownTee"), 8595},
   /* 919 */{TEXT("EEgr"), 8868},
   /* 917 */{TEXT("Egr"), 917},
   /* 8712 */{TEXT("Element"), 8712},
   {TEXT("Equal"), 61},
   /* 8770 */{TEXT("EqualTilde"), 8770},
   /* 8707 */{TEXT("Exists"), 8707},
   {TEXT("ExponentialE"), 101},
   /* 8704 */{TEXT("ForAll"), 8704},
   /* 915 */{TEXT("Gamma"), 915},
   /* 8805 */{TEXT("GreaterEqual"), 8805},
   {TEXT("Hat"), 94},
   /* 921 */{TEXT("Igr"), 921},
   {TEXT("ImaginaryI"), 105},
   /* 8747 */{TEXT("Integral"), 8747},
   /* 8898 */{TEXT("Intersection"),  8898},
   {TEXT("InvisibleComma"), 129},   /* thin space */
   {TEXT("InvisibleTimes"), 129},   /* thin space */
   /* 922 */{TEXT("Kgr"), 922},
   /* 935 */{TEXT("KHgr"), 935},
   /* 923 */{TEXT("Lambda"), 923},
   /* 9001 */{TEXT("LeftAngleBracket"), 9001},
   /* 8656 ? */{TEXT("LeftArrow"), 8656},
   /* 8968 */{TEXT("LeftCeiling"), 8968},
   /* 8970 */{TEXT("LeftFloor"), 8970},
   /* 8596 */{TEXT("LeftRightArrow"), 8596},
   /* 924 */{TEXT("Mgr"), 924},
   /* 925 */{TEXT("Ngr"), 925},
   {TEXT("NonBreakingSpace"), 160},
   /* 10988 */{TEXT("Not"), 10988},
   /* 8713 */{TEXT("NotElement"), 8713},
   /* 8800 */{TEXT("NotEqual"), 8800},
   /* 8836 */{TEXT("NotSubset"), 8836},
   /* 927 */{TEXT("Ogr"), 927},
   /* 937 */{TEXT("Omega"), 937},
   /* 1083 */{TEXT("Or"), 1083},
   /* 175 */{TEXT("OverBar"), 175},
   /* 65079 */{TEXT("OverBrace"), 65079},    /* 132?? */
   /* 8719 */{TEXT("PI"), 8719},
   /* 8706 */{TEXT("PartialD"), 8706},
   /* 934 */{TEXT("Phi"), 934},
   /* 928 */{TEXT("Pi"), 928},
   /* 177? */{TEXT("PlusMinus"), 177},
   /* 8243 */{TEXT("Prime"), 8243},
   /* 8719 */{TEXT("Product"), 8719},
   /* 8733 */{TEXT("Proportional"), 8733},
   /* 936 */{TEXT("Psi"), 936},
   /* 9002 */{TEXT("RightAngleBracket"), 9002},
   /* 8969 */{TEXT("RightCeiling"), 8969},
   /* 8971 */{TEXT("RightFloor"), 8971},
   /* 929 */{TEXT("Rgr"), 929},
   /* 8594 */{TEXT("RightArrow"), 8594},
   /* 931 */{TEXT("Sigma"), 931},
   /* 8260 */{TEXT("Sol"), 8260},
   {TEXT("Star"), 42},
   /* 8912 */{TEXT("Subset"), 8912},
   /* 8838 */{TEXT("SubsetEqual"), 8838},
   /* 8715 */{TEXT("SuchThat"), 8715},
   /* 8721 */{TEXT("Sum"), 8721},
   /* 8835 */{TEXT("Superset"), 8835},
   /* 8839 */{TEXT("SupersetEqual"), 8839},
   /* 932 */{TEXT("Tgr"), 932},
   /* 8756 */{TEXT("Therefore"), 8756},
   /* 920 */{TEXT("Theta"), 920},
   {TEXT("ThickSpace"), 130},
   {TEXT("ThinSpace"), 129},
   {TEXT("Tilde"), 126},
   /* 8411 */{TEXT("TripleDot"), 8411},
   /* 818 */{TEXT("UnderBar"), 818},
   /* 65080 */{TEXT("UnderBrace"), 65080},    /* 133?? */
   /* 8899 */{TEXT("Union"), 8899},
   /* 8593 */{TEXT("UpArrow"), 8593},
   /* 933 */{TEXT("Upsi"), 933},
   /* 978 */{TEXT("Upsi1"), 978},
   /* 8897 */{TEXT("Vee"), 8897},
   /* 8214 */{TEXT("Verbar"), 8214},
   {TEXT("VerticalBar"), 124},
   /* 926 */{TEXT("Xi"), 926},
   /* 918 */{TEXT("Zgr"), 918},
   {TEXT("aacute"), 224},
   {TEXT("acirc"), 226},
   {TEXT("acute"), 180},
   {TEXT("af"), 129},             /* rendered as thin space */
   /* 8501 */{TEXT("aleph"), 8501},
   /* 945 */{TEXT("alpha"), 945},
   /* 8743 */{TEXT("and"), 8743},
   /* 8736 */{TEXT("angle"), 8736},
   /* 8776 */{TEXT("ap"), 8776},
   /* 946 */{TEXT("beta"), 946},
   /* 8869 */{TEXT("bot"), 8869},
   /* 8869 */{TEXT("bottom"), 8869},
   /* 8226 */{TEXT("bull"), 8226},
   /* 8745 */{TEXT("cap"), 8745},
   /* 967 */{TEXT("chi"), 967},
   {TEXT("circ"), 94},
   /* 9827 */{TEXT("clubs"), 9827},
   /* 8773 */{TEXT("cong"), 8773},
   /* 8471? */{TEXT("copysf"), 8471},
   /* ???? */{TEXT("copyssf"), 227},
   /* 8629? */{TEXT("cr"), 8629},
   /* 8746 */{TEXT("cup"), 8746},
   /* 8659 */{TEXT("dArr"), 8659},
   /* 8595 */{TEXT("darr"), 8595},
   {TEXT("dd"), 100},
   /* 176?? */{TEXT("deg"), 176},
   /* 948 */{TEXT("delta"), 948},
   /* 9830 */{TEXT("diams"), 9830},
   /* ???? */{TEXT("divide"), 184},
   /* 9663 */{TEXT("dtri"), 9663},
   {TEXT("ee"), 101},
   /* 8709 */{TEXT("empty"), 8709},
   /* 8709 */{TEXT("emptyset"), 8709},
   /* 8195? */{TEXT("emsp"), 8195},
   /* 949 */{TEXT("epsiv"), 949},
   /* 8801 */{TEXT("equiv"), 8801},
   /* 951 */{TEXT("eta"), 951},
   /* 8707 */{TEXT("exist"), 8707},
   /* 402 */{TEXT("florin"), 402},
   /* 8704 */{TEXT("forall"), 8704},
   /* 947 */{TEXT("gamma"), 947},
   /* 8805 */{TEXT("ge"), 8805},
   /* 8805 */{TEXT("geq"), 8805},
   {TEXT("gt"), 62},
   /* 9829 */{TEXT("hearts"), 9829},
   /* 8213 */{TEXT("horbar"), 8213},
   /* 8660 */{TEXT("iff"), 8660},
   /* 8465? */{TEXT("ifraktur"), 8465},
   /* 8712 */{TEXT("in"), 8712},
   /* 8734 */{TEXT("infin"), 8734},
   /* 8747 */{TEXT("int"), 8747},
   /* 953 */{TEXT("iota"), 953},
   /* 8712 */{TEXT("isin"), 8712},
   {TEXT("it"), 129},          /* rendered as a thin space */
   /* 954 */{TEXT("kappa"), 954},
   /* 8656 */{TEXT("lArr"), 8656},
   /* 955 */{TEXT("lambda"), 955},
   /* 9001 */{TEXT("lang"), 9001},
   /* 9001 */{TEXT("langle"), 9001},
   /* 8592 */{TEXT("larr"), 8592},
   {TEXT("lbrace"), 123},
   /* 8968 */{TEXT("lceil"), 8968},
   {TEXT("lcub"), 123},
   /* 8804 */{TEXT("le"), 8804},
   /* 8804 */{TEXT("leq"), 8804},
   /* 8970 */{TEXT("lfloor"), 8970},
   /* 95?? */{TEXT("lowbar"), 95},
   /* 9674 */{TEXT("loz"), 9674},
   /* 8660?? */{TEXT("lrArr"), 8660},
   /* 8646 */{TEXT("lrarr"), 8646},
   /* 91?? */{TEXT("lsqb"), 91},
   {TEXT("lt"), 60},
   /* 215?? */{TEXT("middot"), 215},
   /* 8230 */{TEXT("mldr"), 8230},
   /* 956 */{TEXT("mu"), 956},
   /* 8711 */{TEXT("nabla"), 8711},
   {TEXT("nbsp"), 160},
   /* 8800 */{TEXT("ne"), 8800},
   /* 8800 */{TEXT("neq"), 8800},
   /* 166?? */{TEXT("not"), 166},
   /* 8713 */{TEXT("notin"), 8713},
   /* 957 */{TEXT("nu"), 957},
   /* 959 */{TEXT("ogr"), 959},
   /* 969 */{TEXT("omega"), 969},
   /* 8853 */{TEXT("oplus"), 8853},
   /* 8744 */{TEXT("or"), 8744},
   /* 8855 */{TEXT("otimes"), 8855},
   /* 8706 */{TEXT("part"), 8706},
   /* 8869 */{TEXT("perp"), 8869},
   /* 966 */{TEXT("phi"), 966},
   /* 981 */{TEXT("phiv"), 981},
   /* 960 */{TEXT("pi"), 960},
   /* 118 */{TEXT("piv"), 118},
   /* 8242 */{TEXT("prime"), 8242},
   /* 8733 */{TEXT("prop"), 8733},
   /* 968 */{TEXT("psi"), 968},
   /* 8658 */{TEXT("rArr"), 8658},
   /* 8730 */{TEXT("radic"), 8730},
   /* 9002 */{TEXT("rang"), 9002},
   /* 9002 */{TEXT("rangle"), 9002},
   /* 8594 */{TEXT("rarr"), 8594},
   {TEXT("rbrace"), 125},
   /* 8969 */{TEXT("rceil"), 8969},
   {TEXT("rcub"), 125},
   /* 8221?? */{TEXT("rdquo"), 8221},
   /* ??? */{TEXT("regsf"), 210},
   /* ??? */{TEXT("regssf"), 226},
   /* 8971 */{TEXT("rfloor"), 8971},
   /* 8476?? */{TEXT("rfraktur"), 8476},
   /* 961 */{TEXT("rho"), 961},
   /* 93?? */{TEXT("rsqb"), 93},
   /* 963 */{TEXT("sigma"), 963},
   /* 962 */{TEXT("sigmav"), 962},
   /* 9824 */{TEXT("spades"), 9824},
   /* 8834 */{TEXT("sub"), 8834},
   /* 8838 */{TEXT("sube"), 8838},
   /* 8842? */{TEXT("subne"), 8842},
   /* 8834 */{TEXT("subset"), 8834},
   /* 8721 */{TEXT("sum"), 8721},
   /* 8835 */{TEXT("sup"), 8835},
   /* 8839 */{TEXT("supe"), 8839},
   /* 8835 */{TEXT("supset"), 8835},
   /* 8839 */{TEXT("supseteq"), 8839},
   /* 8839 */{TEXT("supseteqq"), 8839},
   /* 964 */{TEXT("tau"), 964},
   /* 8756 */{TEXT("there4"), 8756},
   /* 8756 */{TEXT("therefore"), 8756},
   /* 952 */{TEXT("theta"), 952},
   /* 977 */{TEXT("thetav"), 977},
   {TEXT("thickspace"), 130},
   /* ??? */{TEXT("times"), 180},
   /* 8482 */{TEXT("trade"), 8482},
   /* 8482 */{TEXT("tradesf"), 8482},
   /* ??? */{TEXT("tradessf"), 228},
   /* 8657 */{TEXT("uArr"), 8657},
   /* 8593 */{TEXT("uarr"), 8593},
   /* 965 */{TEXT("upsi"), 965},
   /* 8744 */{TEXT("vee"), 8744},
   /* 8472 */{TEXT("weierp"), 8472},
   /* 958 */{TEXT("xi"), 958},
   /* 950 */{TEXT("zeta"), 950},
   {TEXT("zzzz"), -1}		/* this last entry is required */
};

